VSTGUI 4.10 Graphical User Interface Framework not only for VST plugins

Classes | Public Types | Public Member Functions | List of all members
StringListControlDrawer Class Reference
New classes » Version 4.9

A specialized list control drawer to draw strings. More...

`#include <cstringlist.h>`

Inheritance diagram for StringListControlDrawer:

## Classes
struct | Impl

## Public Types
using | Func = std::function< PlatformStringPtr(int32_t row)>

## Public Member Functions
| StringListControlDrawer ()
| ~StringListControlDrawer () noexcept override
void | setStringProvider (Func &&getStringFunc)
void | setStringProvider (const Func &getStringFunc)
void | setFont (CFontRef f)
void | setFontColor (CColor color)
void | setSelectedFontColor (CColor color)
void | setBackColor (CColor color)
void | setSelectedBackColor (CColor color)
void | setHoverColor (CColor color)
void | setLineColor (CColor color)
void | setLineWidth (CCoord width)
void | setTextInset (CCoord inset)
void | setTextAlign (CHoriTxtAlign align)
CFontRef | getFont () const
CColor | getFontColor () const
CColor | getSelectedFontColor () const
CColor | getBackColor () const
CColor | getSelectedBackColor () const
CColor | getHoverColor () const
CColor | getLineColor () const
CCoord | getLineWidth () const
CCoord | getTextInset () const
CHoriTxtAlign | getTextAlign () const
void | drawBackground (CDrawContext *context, CRect size) override
void | drawRow (CDrawContext *context, CRect size, Row row) override
Public Member Functions inherited from IListControlDrawer
virtual | ~IListControlDrawer () noexcept
virtual void | drawBackground (CDrawContext *context, CRect size)=0
virtual void | drawRow (CDrawContext *context, CRect size, Row row)=0
virtual void | forget ()=0
| decrease refcount and delete object if refcount == 0 More...
virtual void | remember ()=0
| increase refcount More...
Public Member Functions inherited from ReferenceCounted< T >
| ReferenceCounted ()=default
virtual | ~ReferenceCounted () noexcept=default
| ReferenceCounted (const ReferenceCounted &)
ReferenceCounted & | operator= (const ReferenceCounted &)
void | forget () override
| decrease refcount and delete object if refcount == 0 More...
void | remember () override
| increase refcount More...
virtual int32_t | getNbReference () const
| get refcount More...

## Detailed Description

A specialized list control drawer to draw strings.

You set an instance of this class as the drawer in a CListControl instance and it draws the strings you setup via the provider function.

## Member Typedef Documentation

## ◆ Func

using Func = std::function<PlatformStringPtr (int32_t row)>

## Constructor & Destructor Documentation

## ◆ StringListControlDrawer()

StringListControlDrawer | ( |  | ) |

## ◆ ~StringListControlDrawer()

~StringListControlDrawer | ( |  | ) |
| override default noexcept

## Member Function Documentation

## ◆ drawBackground()

void drawBackground | ( | CDrawContext * | context,
|  | CRect | size
| ) |  |
| override virtual

Implements IListControlDrawer.

## ◆ drawRow()

void drawRow | ( | CDrawContext * | context,
|  | CRect | size,
|  | Row | row
| ) |  |
| override virtual

Implements IListControlDrawer.

## ◆ getBackColor()

CColor getBackColor | ( |  | ) | const

## ◆ getFont()

CFontRef getFont | ( |  | ) | const

## ◆ getFontColor()

CColor getFontColor | ( |  | ) | const

## ◆ getHoverColor()

CColor getHoverColor | ( |  | ) | const

## ◆ getLineColor()

CColor getLineColor | ( |  | ) | const

## ◆ getLineWidth()

CCoord getLineWidth | ( |  | ) | const

## ◆ getSelectedBackColor()

CColor getSelectedBackColor | ( |  | ) | const

## ◆ getSelectedFontColor()

CColor getSelectedFontColor | ( |  | ) | const

## ◆ getTextAlign()

CHoriTxtAlign getTextAlign | ( |  | ) | const

## ◆ getTextInset()

CCoord getTextInset | ( |  | ) | const

## ◆ setBackColor()

void setBackColor | ( | CColor | color | ) |

## ◆ setFont()

void setFont | ( | CFontRef | f | ) |

## ◆ setFontColor()

void setFontColor | ( | CColor | color | ) |

## ◆ setHoverColor()

void setHoverColor | ( | CColor | color | ) |

## ◆ setLineColor()

void setLineColor | ( | CColor | color | ) |

## ◆ setLineWidth()

void setLineWidth | ( | CCoord | width | ) |

## ◆ setSelectedBackColor()

void setSelectedBackColor | ( | CColor | color | ) |

## ◆ setSelectedFontColor()

void setSelectedFontColor | ( | CColor | color | ) |

## ◆ setStringProvider() [1/2]

void setStringProvider | ( | const Func & | getStringFunc | ) |

## ◆ setStringProvider() [2/2]

void setStringProvider | ( | Func && | getStringFunc | ) |

## ◆ setTextAlign()

void setTextAlign | ( | CHoriTxtAlign | align | ) |

## ◆ setTextInset()

void setTextInset | ( | CCoord | inset | ) |

The documentation for this class was generated from the following files:

- cstringlist.h
- cstringlist.cpp